## ros-noetic-delphi-esr-msgs 3.3.0

=== CMakeLists.txt ===
project(delphi_esr_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "EsrEthTx.msg"
  "EsrStatus1.msg"
  "EsrStatus2.msg"
  "EsrStatus3.msg"
  "EsrStatus4.msg"
  "EsrStatus5.msg"
  "EsrStatus6.msg"
  "EsrStatus7.msg"
  "EsrStatus8.msg"
  "EsrStatus9.msg"
  "EsrTrack.msg"
  "EsrTrackMotionPowerTrack.msg"
  "EsrTrackMotionPowerGroup.msg"
  "EsrValid1.msg"
  "EsrValid2.msg"
  "EsrVehicle1.msg"
  "EsrVehicle2.msg"
  "EsrVehicle3.msg"
  "EsrVehicle4.msg"
  "EsrVehicle5.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

  install(DIRECTORY migration
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  install(DIRECTORY migration
    DESTINATION share/${PROJECT_NAME}/
  )

  ament_package()

endif()

=== debian/changelog ===
ros-noetic-delphi-esr-msgs (3.3.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 18 Jun 2021 04:00:00 -0000

ros-noetic-delphi-esr-msgs (3.2.0-1focal) focal; urgency=high

  * Bag migration rules cleanup (#76 <https://github.com/astuff/astuff_sensor_msgs/issues/76>)
    * delphi_esr_msgs: Consolidate bag migration rules
  * Update delphi_esr_msgs (#69 <https://github.com/astuff/astuff_sensor_msgs/issues/69>)
    * Update delphi_esr_msgs to closer match documentation and fix typos
    * Update delphi_esr_msgs CMakeLists.txt
    * Change from EsrTrackMotionPower to EsrTrackMotionPowerTrack
    * Add migration file for changes to delphi_esr_msgs
    * Fix up old migration rules, order was wrong, remove duplication
    * Factor out install directive for migration folder
    * Fix CATKIN_PACKAGE_SHARE_DESTINATION for ROS2
  * Contributors: icolwell-as

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 12 Mar 2021 05:00:00 -0000

ros-noetic-delphi-esr-msgs (3.1.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 17 Jun 2020 04:00:00 -0000

ros-noetic-delphi-esr-msgs (3.0.1-1focal) focal; urgency=high

  * Adding ros_environment as required package to all packages.
  * ROS1/2 Hybrid: delphi_esr_msgs (#37 <https://github.com/astuff/astuff_sensor_msgs/issues/37>)
    * Adding hybrid CI.
    * Hybridizing delphi_esr_msgs.
    * Updating package.xml files for ROS2 rosdep.
    * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 05:00:00 -0000

ros-noetic-delphi-esr-msgs (2.3.1-1focal) focal; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-noetic-delphi-esr-msgs (2.3.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-noetic-delphi-esr-msgs (2.2.2-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-noetic-delphi-esr-msgs (2.2.1-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 04:00:00 -0000

ros-noetic-delphi-esr-msgs (2.1.0-1focal) focal; urgency=high

  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Removing properties that aren't part of raw message in EsrEthTx.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-delphi-esr-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-rosbag-migration-rule, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/delphi_esr_msgs
Standards-Version: 3.9.2

Package: ros-noetic-delphi-esr-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-rosbag-migration-rule, ros-noetic-std-msgs
Description: Message definitions for the Delphi ESR
